
package net.brutex.sbm.wsclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for TTItem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TTItem">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="genericItem" type="{urn:aewebservices71}Item" minOccurs="0"/>
 *         &lt;element name="itemType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="classification" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="classificationUUID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="createdBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="createDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="modifiedBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="modifiedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="activeInactive" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="state" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="owner" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="extendedFieldList" type="{urn:aewebservices71}NameValue" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="noteList" type="{urn:aewebservices71}Note" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="itemLinkList" type="{urn:aewebservices71}ItemLink" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="urlAttachmentList" type="{urn:aewebservices71}URLAttachment" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="fileAttachmentList" type="{urn:aewebservices71}FileAttachment" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TTItem", propOrder = {
    "genericItem",
    "itemType",
    "classification",
    "classificationUUID",
    "title",
    "description",
    "createdBy",
    "createDate",
    "modifiedBy",
    "modifiedDate",
    "activeInactive",
    "state",
    "owner",
    "url",
    "extendedFieldList",
    "noteList",
    "itemLinkList",
    "urlAttachmentList",
    "fileAttachmentList"
})
public class TTItem {

    @XmlElementRef(name = "genericItem", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<Item> genericItem;
    @XmlElementRef(name = "itemType", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> itemType;
    @XmlElementRef(name = "classification", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> classification;
    @XmlElementRef(name = "classificationUUID", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> classificationUUID;
    @XmlElementRef(name = "title", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> title;
    @XmlElementRef(name = "description", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> description;
    @XmlElementRef(name = "createdBy", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> createdBy;
    @XmlElementRef(name = "createDate", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<XMLGregorianCalendar> createDate;
    @XmlElementRef(name = "modifiedBy", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> modifiedBy;
    @XmlElementRef(name = "modifiedDate", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<XMLGregorianCalendar> modifiedDate;
    @XmlElementRef(name = "activeInactive", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> activeInactive;
    @XmlElementRef(name = "state", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> state;
    @XmlElementRef(name = "owner", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> owner;
    @XmlElementRef(name = "url", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> url;
    protected List<NameValue> extendedFieldList;
    protected List<Note> noteList;
    protected List<ItemLink> itemLinkList;
    protected List<URLAttachment> urlAttachmentList;
    protected List<FileAttachment> fileAttachmentList;

    /**
     * Gets the value of the genericItem property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Item }{@code >}
     *     
     */
    public JAXBElement<Item> getGenericItem() {
        return genericItem;
    }

    /**
     * Sets the value of the genericItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Item }{@code >}
     *     
     */
    public void setGenericItem(JAXBElement<Item> value) {
        this.genericItem = ((JAXBElement<Item> ) value);
    }

    /**
     * Gets the value of the itemType property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getItemType() {
        return itemType;
    }

    /**
     * Sets the value of the itemType property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setItemType(JAXBElement<String> value) {
        this.itemType = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the classification property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getClassification() {
        return classification;
    }

    /**
     * Sets the value of the classification property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setClassification(JAXBElement<String> value) {
        this.classification = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the classificationUUID property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getClassificationUUID() {
        return classificationUUID;
    }

    /**
     * Sets the value of the classificationUUID property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setClassificationUUID(JAXBElement<String> value) {
        this.classificationUUID = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the title property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTitle() {
        return title;
    }

    /**
     * Sets the value of the title property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTitle(JAXBElement<String> value) {
        this.title = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setDescription(JAXBElement<String> value) {
        this.description = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setCreatedBy(JAXBElement<String> value) {
        this.createdBy = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the createDate property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}
     *     
     */
    public JAXBElement<XMLGregorianCalendar> getCreateDate() {
        return createDate;
    }

    /**
     * Sets the value of the createDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}
     *     
     */
    public void setCreateDate(JAXBElement<XMLGregorianCalendar> value) {
        this.createDate = ((JAXBElement<XMLGregorianCalendar> ) value);
    }

    /**
     * Gets the value of the modifiedBy property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getModifiedBy() {
        return modifiedBy;
    }

    /**
     * Sets the value of the modifiedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setModifiedBy(JAXBElement<String> value) {
        this.modifiedBy = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the modifiedDate property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}
     *     
     */
    public JAXBElement<XMLGregorianCalendar> getModifiedDate() {
        return modifiedDate;
    }

    /**
     * Sets the value of the modifiedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}
     *     
     */
    public void setModifiedDate(JAXBElement<XMLGregorianCalendar> value) {
        this.modifiedDate = ((JAXBElement<XMLGregorianCalendar> ) value);
    }

    /**
     * Gets the value of the activeInactive property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getActiveInactive() {
        return activeInactive;
    }

    /**
     * Sets the value of the activeInactive property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setActiveInactive(JAXBElement<String> value) {
        this.activeInactive = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the state property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getState() {
        return state;
    }

    /**
     * Sets the value of the state property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setState(JAXBElement<String> value) {
        this.state = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the owner property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getOwner() {
        return owner;
    }

    /**
     * Sets the value of the owner property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setOwner(JAXBElement<String> value) {
        this.owner = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the url property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getUrl() {
        return url;
    }

    /**
     * Sets the value of the url property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setUrl(JAXBElement<String> value) {
        this.url = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the extendedFieldList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the extendedFieldList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getExtendedFieldList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link NameValue }
     * 
     * 
     */
    public List<NameValue> getExtendedFieldList() {
        if (extendedFieldList == null) {
            extendedFieldList = new ArrayList<NameValue>();
        }
        return this.extendedFieldList;
    }

    /**
     * Gets the value of the noteList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the noteList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNoteList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Note }
     * 
     * 
     */
    public List<Note> getNoteList() {
        if (noteList == null) {
            noteList = new ArrayList<Note>();
        }
        return this.noteList;
    }

    /**
     * Gets the value of the itemLinkList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the itemLinkList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getItemLinkList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ItemLink }
     * 
     * 
     */
    public List<ItemLink> getItemLinkList() {
        if (itemLinkList == null) {
            itemLinkList = new ArrayList<ItemLink>();
        }
        return this.itemLinkList;
    }

    /**
     * Gets the value of the urlAttachmentList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the urlAttachmentList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUrlAttachmentList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link URLAttachment }
     * 
     * 
     */
    public List<URLAttachment> getUrlAttachmentList() {
        if (urlAttachmentList == null) {
            urlAttachmentList = new ArrayList<URLAttachment>();
        }
        return this.urlAttachmentList;
    }

    /**
     * Gets the value of the fileAttachmentList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fileAttachmentList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFileAttachmentList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FileAttachment }
     * 
     * 
     */
    public List<FileAttachment> getFileAttachmentList() {
        if (fileAttachmentList == null) {
            fileAttachmentList = new ArrayList<FileAttachment>();
        }
        return this.fileAttachmentList;
    }

}
